Target version: 4.7.005   

Operating System: Any Tested: Yes

Version:    

Description

To log some trace or debug info (level 5 or 6 in our application), we sometimes have to compute some info, which is time consuming.

So we compare log level to know if we have to compute these or not.

To retrieve the level of a log, we currently need 2 Nirva commands : LOG:INFO with LOG parameter, then

TABLE_GET_CELL_LINE.

LOG:INFO retrieves far more information then required.

We would like if possible a new command LOG:GET_LEVEL (for example) with a LOG parameter (and an optional SERVICE

parameter, as in LOG:INFO command), that returns the log level in output buffer, to have log as less time consuming as possible.

Thank you.

History

#1 - 08/16/2012 10:41 AM - Pierre Marc

- Status changed from New to In Progress

- Assignee set to Pierre Marc

Ok. This will be available in next Nirva version, probably early september.

#2 - 09/17/2012 03:47 PM - Pierre Marc

- Target version set to 4.7.005

- % Done changed from 0 to 100

- Tested changed from No to Yes

#3 - 09/17/2012 03:47 PM - Pierre Marc

- Status changed from In Progress to Closed
